Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.libjpegturbo.turbojpeg
Class TJScalingFactor

    java.lang.Object
      org.libjpegturbo.turbojpeg.TJScalingFactor

    public class TJScalingFactor

extends java.lang.Object

Fractional scaling factor

Constructor Summary
`TJScalingFactor(int num, int denom)`

Method Summary
`boolean` | `equals(TJScalingFactor other)` Returns true or false, depending on whether this instance and `other` have the same numerator and denominator.
`int` | `getDenom()` Returns denominator
`int` | `getNum()` Returns numerator
`int` | `getScaled(int dimension)` Returns the scaled value of `dimension`.
`boolean` | `isOne()` Returns true or false, depending on whether this instance is equal to 1/1.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TJScalingFactor

    public TJScalingFactor(int num,
                           int denom)
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getNum

    public int getNum()

  Returns numerator

  Returns:
    numerator

### getDenom

    public int getDenom()

  Returns denominator

  Returns:
    denominator

### getScaled

    public int getScaled(int dimension)

  Returns the scaled value of `dimension`. This function performs the integer equivalent of `ceil(dimension * scalingFactor)`.

  Returns:
    the scaled value of `dimension`

### equals

    public boolean equals(TJScalingFactor other)

  Returns true or false, depending on whether this instance and `other` have the same numerator and denominator.

  Returns:
    true or false, depending on whether this instance and `other` have the same numerator and denominator

### isOne

    public boolean isOne()

  Returns true or false, depending on whether this instance is equal to 1/1.

  Returns:
    true or false, depending on whether this instance is equal to 1/1

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD